//
//  HomeVC.swift
//  SwiftLoginScreen
//
//  Created by KaKa on 18/11/14.
//  Copyright (c) 2014 Marc Calm. All rights reserved.
//

import UIKit

class HomeVC: UIViewController {
    
    //servei que retorna punts dels usuaris
    var service:myUserPointsService!


    @IBOutlet var usernameLabel : UILabel!
    
    @IBOutlet var totalLabel : UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
  
        
        self.navigationController?.navigationBar.barStyle = UIBarStyle.Default
        self.navigationController?.navigationBar.tintColor = UIColor.redColor()
        
                // Do any additional setup after loading the view.
    }
    
    override func viewDidAppear(animated: Bool) {
        super.viewDidAppear(true)
        self.navigationController?.navigationBar.topItem?.title="Home"
        let prefs:NSUserDefaults = NSUserDefaults.standardUserDefaults()
        let isLoggedIn:Int = prefs.integerForKey("ISLOGGEDIN") as Int
        if (isLoggedIn != 1) {
            self.performSegueWithIdentifier("goto_login", sender: self)
        } else {
            self.usernameLabel.text = prefs.valueForKey("USERNAME") as NSString
        }
        
        
        var nav = self.navigationController?.navigationBar
        
        nav?.barStyle = UIBarStyle.Black
        
        var navTextColor =  UIColor(red: 0.88, green: 0.27, blue: 0.14, alpha: 1.0) //UIColor(patternImage: UIImage(named:"taronge.png")!)
        var navBarColor =  UIColor(red: 0.172, green: 0.6, blue: 0.85, alpha: 1.0) //UIColor(patternImage: UIImage(named:"blau.png")!)
        
        nav?.tintColor = navTextColor //UIColor.yellowColor()
        nav?.barTintColor = navBarColor
        nav?.translucent=false
        
        
        UIApplication.sharedApplication().networkActivityIndicatorVisible = true
        
        service = myUserPointsService()
        
        service.getPoints {
            (response) in
            self.loadPoints(response as NSArray)
        }

    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // #pragma mark - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue?, sender: AnyObject?) {
        // Get the new view controller using [segue destinationViewController].
        // Pass the selected object to the new view controller.
    }
    */
    

    //funcio que retorna els punts. S'ha de modificar. Passar parametre pq nomes retorni els punts de l'usuari que volem. Si hi ha molts usuaris això no serveix.
    func loadPoints(UsersP:NSArray) {
        var i: Int = 0
        var user:String
        var Total:Int
        var bTePunts = "FALSE"
    
        for points in UsersP {
        
            var user = points["user"]! as String
            var Total = (points["Total"]! as String).toInt()!
            
            let user2 = usernameLabel.text
            
            dispatch_async(dispatch_get_main_queue()) {
                if user == user2 {
                    self.totalLabel.text = String(Total)
                    self.totalLabel.text = "Total Points: " + String(Total)
                    bTePunts = "TRUE"
                }
                if bTePunts == "FALSE" {
                    self.totalLabel.text = "Total Points: " + "0"
                }
            }
            
            
            i += 1
            
        }
        bTePunts = "FALSE"
        UIApplication.sharedApplication().networkActivityIndicatorVisible = false
    }

}