//
//  SpecialityPointsService.swift
//  FantasyCyclingGame
//
//  Created by KaKa on 9/12/14.
//  Copyright (c) 2014 KaKa. All rights reserved.
//

import Foundation

class SpecialityPointsService {
    var settings:Settings!
    var Type:String?
    
    init(Type:String) {
        self.settings = Settings()
        self.Type = Type
    }
    
    func getPoints(callback:(NSArray) -> ()) {
        request(self.Type!, callback: callback)
    }
    
    func request(url:String, callback:(NSArray)->()) {
        
        var nsURL = NSURL(string: url)
        
        let task = NSURLSession.sharedSession().dataTaskWithURL(nsURL!) {
            (data, response, error) in
            var error:NSError?
            var response = NSJSONSerialization.JSONObjectWithData(data, options: NSJSONReadingOptions.MutableContainers, error: &error) as NSArray
            callback(response)
        }
        
        task.resume()
        
    }

}
