//
//  RiderService.swift
//  FantasyCycling
//
//  Created by KaKa on 6/12/14.
//  Copyright (c) 2014 Marc Calm. All rights reserved.
//

import Foundation

//classe on es fa la crida al servei JSON per tornar les dades en un NSArray de tots els corredors.
class RiderService {
   
    var settings:Settings!
    
    init() {
        self.settings = Settings()
    }

    func getRiders(callback:(NSArray) -> ()) {
        request(settings.viewRiders, callback: callback)
    }
    
    func request(url:String, callback:(NSArray)->()) {
        var nsURL = NSURL(string: url)
        
        let task = NSURLSession.sharedSession().dataTaskWithURL(nsURL!) {
            (data, response, error) in
            var error:NSError?
            var response = NSJSONSerialization.JSONObjectWithData(data, options: NSJSONReadingOptions.MutableContainers, error: &error) as NSArray
            callback(response)
        }
        
        task.resume()
        
    }
}